[0m


XADMIN(1)	    UNIX Programmer's Manual		XADMIN(1)



[1mNAME
     [0mxadmin - utility program to help configure the X window sys-
     tem

[1mSYNOPSIS
     xadmin -memsize [0m| [1m-membytes [0m| [1m-keygen [0m| [1m-vdutype [0m| [1m-
     vdustring [0m| [1m-config [0m[_a_u_t_h_o_r [_c_o_n_f_i_g_u_r_a_t_i_o_n-_f_i_l_e]] | [[1m-
     keyfile [0m| [1m-author [0m| [1m-host [0m| [1m-displayid [0m| [1m-once[0m]
     [_c_o_n_f_i_g_u_r_a_t_i_o_n-_f_i_l_e]

[1mDESCRIPTION
     [0m_X_a_d_m_i_n is designed for use within scripts which start
     _X_a_r_m(1) to allow the arguments to made appropriate for the
     screen type and physical memory size of the machine.  Nor-
     mally _x_a_d_m_i_n is run from /_e_t_c/_r_c._X as part of the transition
     from single-user to multi-user state.  This allows /_e_t_c/_r_c._X
     to produce a suitable /_e_t_c/_x_d_m/_X_c_o_n_f_i_g file - see _X_s_t_a_r_t(1)
     for more details.

[1mOPTIONS
     [0m-memsize
	  Print the size of the physical memory in Mbytes on
	  standard output.  Currently the output value will be 4,
	  8, 12 or 16 Mbytes.

     -membytes
	  Print the size of the physical memory in bytes on stan-
	  dard output.

     -keygen
	  Output a random 8 byte (64 bit) key in hexadecimal
	  notation.  The key is suitable for use in the
	  /_e_t_c/_x_d_m/_X_k_e_y_s authentication key file (or, indeed,
	  anywhere where a totally random key is needed).

     -vdutype
	  Print the vdu type configured into the cmos ram on
	  standard output.  Currently this is a number in the
	  range 0 to 4.  If the information cannot be obtained -1
	  will be output.

     -vdustring
	  Out a string suitable for inclusion in the
	  /_e_t_c/_x_d_m/_X_c_o_n_f_i_g file which gives the value of the vdu
	  type.  The string has the form [1mVDU-TYPE [0m_n_u_m_b_e_r.  If the
	  vdu type cannot be found no output will be produced.

     -config
	  Check the /_e_t_c/_x_d_m/_X_c_o_n_f_i_g file to see if it can be
	  overwritten.	_x_a_d_m_i_n will exit with a non-zero exit
	  status (false) if the file exists and there is no
	  [1mAUTHOR [0mstring in the file or the author is not



Printed 25/2/93     Revision 1.5 of 12/09/90			1






XADMIN(1)	    UNIX Programmer's Manual		XADMIN(1)



	  /_e_t_c/_r_c._X.  Up to two arguments may be provided.  The
	  first is the author string to check for, the second is
	  the name of the file to check.  _x_a_d_m_i_n will also exit
	  with a non-zero exit status (and an error message) if
	  the configuration file is badly formatted.  This option
	  can be used in place of the default test in /_e_t_c/_r_c._X
	  against the [1mAUTHOR [0mkeyword to force /_e_t_c/_r_c._X to
	  recreate /_e_t_c/_x_d_m/_X_c_o_n_f_i_g if it does not exist.

     The remaining keywords take an optional single argument -
     the name of the configuration file.  If this is not supplied
     the file /_e_t_c/_x_d_m/_X_c_o_n_f_i_g is read if it exists.  Each of the
     keywords outputs one particular piece of information from
     the configuration file.

     -keyfile
	  Output the name of the authentication key file which
	  the server will use.	If [1mNOAUTHENTICATION [0mis specified
	  in the configuration file (see _X_s_t_a_r_t(1)) _x_a_d_m_i_n will
	  print nothing.

     -author
	  The name of the author of the configuration file (as
	  specified by the last [1mAUTHOR [0mkeyword in the file) is
	  output.  If there is no [1mAUTHOR [0mkeyword or the confi-
	  guration file does not exist nothing is output.  This
	  keyword is used in /_e_t_c/_r_c._X to test to see whether
	  /_e_t_c/_x_d_m/_X_c_o_n_f_i_g can be overwritten - see _X_s_t_a_r_t(1) for
	  more details.

     -host
	  The name of the host machine which will be contacted
	  using [1mXDMCP [0mwhen the server is run is printed on stan-
	  dard output.	This defaults to _l_o_o_p_b_a_c_k.  This is the
	  name of the machine on which _x_d_m(1) is expected to run.

     -displayid
	  Output the display id of the X server which will run on
	  this machine.  The configuration file is read to find
	  information about the machine serial number (if any)
	  which will be passed to the X server.  For this reason
	  this option should only be used after the correct con-
	  figuration file has been generated.  If the configura-
	  tion file is badly formatted _x_a_d_m_i_n will exit with a
	  non-zero exit status.

     -once
	  _X_a_d_m_i_n succeeds (exits with a 0 return code) if the
	  server will be run with the [1m-once [0margument to cause it
	  to exit at the end of the first session.  _X_a_d_m_i_n checks
	  for the [1mMULTIPLE-SESSION [0mkeyword in the configuration
	  file - it does not check for [1m-once [0min the server



Printed 25/2/93     Revision 1.5 of 12/09/90			2






XADMIN(1)	    UNIX Programmer's Manual		XADMIN(1)



	  arguments specified in the command file, so if
	  [1mMULTIPLE-SESSION [0mis given and [1m-once [0mis specified within
	  the server arguments the _x_a_d_m_i_n command will still
	  fail.

[1mUSAGE
     [0mFor examples of how to use _x_a_d_m_i_n look at the file
     /_e_t_c/_r_c._X.

[1mNOTES
     [0mWhen using the [1m-displayid [0moption the server arguments are
     examined for the keywords [1m-class [0m(specifying the display
     class) [1m-displayID [0m(specifying the full display id) [1m-serialNo
     [0m(specifying the serial number of the machine).  Because the
     _x_a_d_m_i_n program does not have a complete knowledge of all the
     server arguments, if these keywords appear by chance as the
     parameter to another server keyword _x_a_d_m_i_n will still recog-
     nise them and thus generate an incorrect display id.

[1mSEE ALSO
     [0m_X_s_t_a_r_t(1) _R_I_S_C _i_X _X _W_i_n_d_o_w _S_y_s_t_e_m _A_d_m_i_n_i_s_t_r_a_t_o_r'_s _G_u_i_d_e

[1mCOPYRIGHT
     [0mCopyright (c) 1990, Acorn Computers Ltd.

[1mAUTHOR
     [0mJohn Bowler, Acorn Computers Ltd.




























Printed 25/2/93     Revision 1.5 of 12/09/90			3



[0m